package cn.org.bjca.trust.java.imserver.im.bean;


import cn.org.bjca.trust.java.imserver.entitys.AbstractBaseTimeEntity;
import cn.org.bjca.trust.java.imserver.enums.PacketType;
import jakarta.persistence.Entity;
import jakarta.persistence.EntityListeners;
import jakarta.persistence.MappedSuperclass;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import java.util.UUID;
@MappedSuperclass
public abstract class PacketMessage extends AbstractBaseTimeEntity {
    /**
     * 消息id
     */
    private String msgId = UUID.randomUUID().toString();
    private PacketType packetType;
    private long timestamp = System.currentTimeMillis();
    private String appId;
    private String userName;

    public PacketMessage(PacketType packetType) {
        this.packetType = packetType;
    }

    public PacketMessage() {

    }

    public String getMsgId() {
        return msgId;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    public PacketType getPacketType() {
        return packetType;
    }

    public void setPacketType(PacketType packetType) {
        this.packetType = packetType;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
